RT::Client::REST::User(3pm)

NAME
RT::Client::REST::User - user object representation.

VERSION
version 0.73

SYNOPSIS
  my $rt = RT::Client::REST->new(server => $ENV{RTSERVER});

  my $user = RT::Client::REST::User->new(
    rt  => $rt,
    id  => $id,
  )->retrieve;

DESCRIPTION
RT::Client::REST::User is based on RT::Client::REST::Object. The representation allows one to retrieve, edit, comment on, and create users in RT.

Note: RT currently does not allow REST client to search users.

ATTRIBUTES

id  For retrieval, you can specify either the numeric ID of the user or his username. After the retrieval, however, this attribute will be set to the numeric id.

name
    This is the username of the user.

password
    User's password. Reading it will only give you a bunch of stars (what else would you expect?).

privileged
    Can the user have special rights?

disabled
    Can this user access RT?

email_address
    E-mail address of the user, EmailAddress.

real_name
    Real name of the user, RealName.

gecos
    Gecos.

comments
    Comments about this user.

nickname
    Nickname of this user.

lang
    Language for this user.

organization
address_one
    First line of the street address, Address1.

address_two
    Second line of the street address, Address2.

city
    City segment of user's address.

zip ZIP or Postal code segment of user's address.

country
    Country segment of user's address.

home_phone
    User's home phone number, HomePhone.

work_phone
    User's work phone number, WorkPhone.

cell_phone
    User's cell phone number, MobilePhone.

pager
    User's pager number, PagerPhone.

contactinfo
    Contact info (Extra Info field).

signature
    Signature for the user.

DB METHODS
For full explanation of these, please see "DB METHODS" in RT::Client::REST::Object documentation.

retrieve
    Retrieve RT user from database.

store
    Create or update the user.

search
    Currently RT does not allow REST clients to search users.

INTERNAL METHODS

rt_type
    Returns 'user'.

SEE ALSO
RT::Client::REST, RT::Client::REST::Object, RT::Client::REST::SearchResult.

AUTHOR
Dean Hamstead <dean@fragfest.com.au>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026, 2020 by Dmitri Tikhonov.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.